# DescribeBackends

## 1. API Description

This API (DescribeBackends) is used to query the list of backend servers added to a load balancer instance.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                               |
| -------------- | -------- | ------ | --------------------------------------------------------------------------------------------------------- |
| loadBalancerId | Yes      | String | Load balance instance ID.                                                                                 |
| listenerId     | No       | String | <p>The listener ID of the load balancer.</p><p>If not specified, all backend servers will be queried.</p> |

## 3. Output Parameters

| Parameter Name | Type                                                                                                                 | Description                                                                                                           |
| -------------- | -------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                                               | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| backends       | Array of [ListenerBackend](https://docs.console.zenlayer.com/api-reference/networking/datastructure#listenerbackend) | List of backend servers.                                                                                              |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query all backend servers added to a load balancer instance.**

```json
POST /api/v2/zlb HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeBackends
<Common Request Params>

Request：
{
  "loadBalancerId": "<loadBalancerId>"
}

Response：
{
  "requestId": "T23120DD8-C59C-4919-8F73-E3F3892D3CDC",
  "response": {
    "requestId": "T23120DD8-C59C-4919-8F73-E3F3892D3CDC",
    "backends": [
      {
        "listenerId": "<listenerId>",
        "protocol": "TCP",
        "instanceId": "<instanceId>",
        "backendPort": 1,
        "listenerName": "Listener-TCP-01",
        "weight": 100,
        "listenerPort": "8080",
        "privateIpAddress": "10.0.0.1"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
